package com.loan.system.service;

import com.loan.system.domain.entity.Repayment;

public interface RepaymentService {
    void addRepayment(Repayment repayment);

    Repayment findByCaseIdAndIsDelete(Long caseId, boolean isDelete);

    void updateApprovalUserByCaseId(Long currentId, Long caseId);

    void updateIsClearedByCaseId(boolean isClear, Long caseId);

    void updateIntersetsByCaseId(Double interest,Long caseId);

    void updateRepayWayByCaseId(String repayWay, Long caseId);
}
